<?php
/**
 * class config
 *
 * Description for class config
 *
 * @author:
*/
namespace core;

use Zend\Config\Reader\Ini;

class config {
	public static function get($path) {
		$reader = new Ini();
		return $reader->fromFile($path);
	}

	public function settings() {
		return $this->get("_app/config/settings.ini");
	}

	public function database($production = false) {
		$config = $this->get("_app/config/database.ini");
		
		if($production) {
			return array("database" => $config["production"]);
		}

		return array("database" => $config["development"]);
	}
}
?>